Skip to main content
GET
/
device
/
models
/
{model_version_id}
/
download
Download model artifact
curl --request GET \
  --url https://acusight.io/api/device/models/{model_version_id}/download \
  --header 'X-Device-Key: <api-key>'
import requests

url = "https://acusight.io/api/device/models/{model_version_id}/download"

headers = {"X-Device-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-Device-Key': '<api-key>'}};

fetch('https://acusight.io/api/device/models/{model_version_id}/download', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


"<string>"
{
"data": "<unknown>",
"error": {
"code": "<string>",
"details": "<string>",
"message": "<string>"
},
"meta": {
"count": 123,
"limit": 123,
"offset": 123,
"total": 123
},
"success": true
}
{
"data": "<unknown>",
"error": {
"code": "<string>",
"details": "<string>",
"message": "<string>"
},
"meta": {
"count": 123,
"limit": 123,
"offset": 123,
"total": 123
},
"success": true
}
{
"data": "<unknown>",
"error": {
"code": "<string>",
"details": "<string>",
"message": "<string>"
},
"meta": {
"count": 123,
"limit": 123,
"offset": 123,
"total": 123
},
"success": true
}
{
"data": "<unknown>",
"error": {
"code": "<string>",
"details": "<string>",
"message": "<string>"
},
"meta": {
"count": 123,
"limit": 123,
"offset": 123,
"total": 123
},
"success": true
}

Authorizations

X-Device-Key
string
header
required

Device API key for edge agent authentication. Format: adk_

Path Parameters

model_version_id
integer
required

Model Version ID

Response

Model artifact file

The response is of type file.